CVE-2002-1285
CVSS7.2
发布时间 :2002-11-29 00:00:00
修订时间 :2008-09-10 15:14:14
NMCOS    

[原文]runlpr in the LPRng package allows the local lp user to gain root privileges via certain command line arguments.


[CNNVD]LPRNG runlpr本地权限提升漏洞(CNNVD-200211-073)

        
        LPRng是一款增强的、扩展的、移植的Berkeley LPR打印作业系统实现,可使用在多种操作系统下。
        LPRng中包含的runlpr工具对用户提交的参数缺少正确检查,本地攻击者可以利用这个漏洞以欺骗lpr以'root'用户权限在系统上执行任意命令。
        lprng包含的"runlpr"工具存在漏洞允许lp用户以root用户权限执行lpr程序。本地攻击者可以传递包含恶意字符串的命令行参数给以root权限运行的lpr,欺骗lpr以root用户权限执行命令行参数包含的命令。
        目前我们还不清楚漏洞详细细节。
        <*链接:http://www.suse.com/de/security/2002_040_lprng_html2ps.html
        *>

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:7.2SuSE SuSE Linux 7.2
cpe:/o:suse:suse_linux:7.0SuSE SuSE Linux 7.0
cpe:/o:suse:suse_linux:7.3SuSE SuSE Linux 7.3
cpe:/o:suse:suse_linux:8.1SuSE SuSE Linux 8.1
cpe:/o:suse:suse_linux:7.1SuSE SuSE Linux 7.1
cpe:/o:suse:suse_linux:8.0SuSE SuSE Linux 8.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1285
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1285
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200211-073
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6077
(UNKNOWN)  BID  6077
http://www.novell.com/linux/security/advisories/2002_040_lprng_html2ps.html
(UNKNOWN)  SUSE  SuSE-SA:2002:040
http://www.iss.net/security_center/static/10525.php
(VENDOR_ADVISORY)  XF  lprng-runlpr-gain-privileges(10525)

- 漏洞信息

LPRNG runlpr本地权限提升漏洞
高危 输入验证
2002-11-29 00:00:00 2005-10-20 00:00:00
本地  
        
        LPRng是一款增强的、扩展的、移植的Berkeley LPR打印作业系统实现,可使用在多种操作系统下。
        LPRng中包含的runlpr工具对用户提交的参数缺少正确检查,本地攻击者可以利用这个漏洞以欺骗lpr以'root'用户权限在系统上执行任意命令。
        lprng包含的"runlpr"工具存在漏洞允许lp用户以root用户权限执行lpr程序。本地攻击者可以传递包含恶意字符串的命令行参数给以root权限运行的lpr,欺骗lpr以root用户权限执行命令行参数包含的命令。
        目前我们还不清楚漏洞详细细节。
        <*链接:http://www.suse.com/de/security/2002_040_lprng_html2ps.html
        *>

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * SUSE建议用户反安装html2ps包。
        * 在/etc/lpd.perms文件中正确设置访问控制规则,在文件中增加:
        DEFAULT REJECT
        拒绝任意外部网络用户的访问。
        厂商补丁:
        S.u.S.E.
        --------
        S.u.S.E.已经为此发布了一个安全公告(SuSE-SA:2002:040)以及相应补丁:
        SuSE-SA:2002:040:lprng, html2ps: local privilege escalation, remote command execution
        链接:
        http://www.suse.com/de/security/2002_040_lprng_html2ps.html

        补丁下载:
        i386 Intel Platform:
        SuSE-8.1
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/i586/html2ps-1.0b3-458.i586.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/src/html2ps-1.0b3-458.src.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/i586/lpdfilter-0.43-63.i586.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/src/lpdfilter-0.43-63.src.rpm
        SuSE-8.0
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/gra1/html2ps-1.0b3-456.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/zq1/html2ps-1.0b3-456.src.rpm
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/ap1/lpdfilter-0.42-155.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/zq1/lpdfilter-0.42-155.src.rpm
        SuSE-7.3
        ftp://ftp.suse.com/pub/suse/i386/update/7.3/gra1/html2ps-1.0b3-457.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.3/zq1/html2ps-1.0b3-457.src.rpm
        SuSE-7.2
        ftp://ftp.suse.com/pub/suse/i386/update/7.2/gra1/html2ps-1.0b1-432.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.2/zq1/html2ps-1.0b1-432.src.rpm
        SuSE-7.1
        ftp://ftp.suse.com/pub/suse/i386/update/7.1/gra1/html2ps-1.0b1-431.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.1/zq1/html2ps-1.0b1-431.src.rpm
        SuSE-7.0
        ftp://ftp.suse.com/pub/suse/i386/update/7.0/gra1/html2ps-1.0b1-428.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.0/zq1/html2ps-1.0b1-428.src.rpm
        Sparc Platform:
        SuSE-7.3
        ftp://ftp.suse.com/pub/suse/sparc/update/7.3/gra1/html2ps-1.0b3-88.sparc.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/sparc/update/7.3/zq1/html2ps-1.0b3-88.src.rpm
        AXP Alpha Platform:
        SuSE-7.0
        ftp://ftp.suse.com/pub/suse/axp/update/7.0/gra1/html2ps-1.0b1-328.alpha.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/axp/update/7.0/zq1/html2ps-1.0b1-328.src.rpm
        PPC Power PC Platform:
        SuSE-7.1
        ftp://ftp.suse.com/pub/suse/ppc/update/7.1/gra1/html2ps-1.0b1-303.ppc.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/ppc/update/7.1/zq1/html2ps-1.0b1-303.src.rpm
        SuSE-7.0
        ftp://ftp.suse.com/pub/suse/ppc/update/7.0/gra1/html2ps-1.0b1-302.ppc.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/ppc/update/7.0/zq1/html2ps-1.0b1-302.src.rpm
        补丁安装方法:
        用"rpm -Fhv file.rpm"命令安装文件,完成后,如果rsync服务是用inetd启动的,向inetd进程发送信号重启之。如果rsync是用"rsync --daemon"命令启动的,则再用此命令重启rsync服务。

- 漏洞信息

12643
LPRng runlpr Command Line Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-10-31 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

LPRNG runlpr Local Privilege Escalation Vulnerability
Input Validation Error 6077
No Yes
2002-10-31 12:00:00 2009-07-11 06:06:00
Vulnerability announced in a SuSE advisory.

- 受影响的程序版本

S.u.S.E. Linux 8.1
S.u.S.E. Linux 8.0
S.u.S.E. Linux 7.3
S.u.S.E. Linux 7.2
S.u.S.E. Linux 7.1
S.u.S.E. Linux 7.0

- 漏洞讨论

A vulnerability has been discovered in the 'runlpr' utility, which could allow a malicious user to execute arbitrary commands with the privileges of the 'lprng' process.

By passing malicious strings via the commandline, it is possible for an attacker to execute arbitrary commands with elevated privileges.

Precise technical details regarding this issue are unknown at this time. This bid will updated accordingly, as more information regarding the vulnerability becomes available.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

SuSE has released an advisory. Fixes available.

Fixes:


S.u.S.E. Linux 7.0

S.u.S.E. Linux 7.1

S.u.S.E. Linux 7.2

S.u.S.E. Linux 7.3

S.u.S.E. Linux 8.0

S.u.S.E. Linux 8.1

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站